## debhelper 9.20150101ubuntu1

=== debian/changelog ===
debhelper (9.20150101ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Jan 2015 09:48:12 +0000

debhelper (9.20141022ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Oct 2014 10:44:35 +0100

debhelper (9.20141003ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Oct 2014 17:01:31 -0400

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <admwiggin@gmail.com>
Build-Depends: po4a (>= 0.24)
Standards-Version: 3.9.6
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
Homepage: http://joeyh.name/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14), dh-apparmor
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 9.20150101+deb8u2

=== Makefile ===
# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | sort)

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$list/; \
		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
else
LANGS=
endif

build: version debhelper.7
	find . -maxdepth 1 -type f -perm /100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
ifneq ($(USE_NLS),no)
	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		if [ -e $$dir/debhelper.pod ]; then \
			cat $$dir/debhelper.pod | \
				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
		fi; \
	done
endif

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper (9.20150101+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload.
  * Re-upload to security-master

 -- Dominic Hargreaves <dom@earth.li>  Sun, 24 Jul 2016 20:13:55 +0100

debhelper (9.20150101+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Invoke Makefile.PL and Build.PL with perl -I. as part of the fixes for
    CVE-2016-1238
  * Export PERL_USE_UNSAFE_INC to fix a further set of packages which
    fail to build with . removed from @INC

 -- Dominic Hargreaves <dom@earth.li>  Sun, 24 Jul 2016 19:12:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <admwiggin@gmail.com>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.6
@@ -12,7 +11,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14), dh-apparmor
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20150811ubuntu2

=== debian/changelog ===
debhelper (9.20150811ubuntu2) wily; urgency=medium

  * dh_movefiles: Expand globs in arguments passed in all
    compat levels (and not just compat 1 and 2).
    (Closes: #800332) (cherry-picked from Debian)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Oct 2015 14:33:20 +0200

debhelper (9.20150811ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
  * Drop dependency on dh-apparmor. This was a transitional measure in 2012,
    if there are still packages left that require it let's fix them properly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 16:15:58 +0200

debhelper (9.20150811) unstable; urgency=medium

  * d/changelog: Add missing entry for dh_md5sums/#786695 in
    the 9.20150628 release.
  * Makefile: Set LC_ALL=C when sorting.
  * dh: Avoid passing --parallel to other debhelper commands
    if it is the only option and "parallel" is not set (or
    set to 1) in DEB_BUILD_OPTIONS.
  * dh_strip: Apply patch from Guillem Jover to fix a typo.
    (Closes: #792207)
  * dh_makeshlibs: Avoid an uninitialised warning in some
    error cases.  Thanks to Jakub Wilk for reporting it.
    (Closes: #793092)
  * Dh_Lib.pm: Apply patch from Guillem Jover to use the
    value of dpkg-architecture variables from the environment,
    if present.  (Closes: #793440)
  * Dh_Buildsystems.pm/Dh_Lib.pm: Import Exporter's import
    subroutine rather than adding Exporter to @ISA.
  * Dh_Lib.pm: Use Dpkg::Arch's debarch_is rather than running
    dpkg-architecture to determine if an architecture matches
    a wildcard.  Heavily based on a patch from Guillem Jover.
    (Closes: #793443)
  * dh_strip: Always compress debug sections of debug symbols
    in ddebs.
  * dh_strip: Strip ".comment" and ".note" sections from static
    libraries.  Thanks to Helmut Grohne for the suggestion.
    (Closes: #789351)
  * dh_gencontrol: Stop explicitly passing -DSource to
    dpkg-gencontrol when building ddebs.  The passed value was
    wrong sometimes (e.g. with binNMUs) and dpkg-gencontrol
    since 1.18.2~ computes the value correctly.
  * d/control: Bump dependency on dpkg-dev to 1.18.2~ for
    ddebs.  Build-depends not bumped since debhelper itself
    does not produce any ddebs.
  * dh_makeshlibs: Continue generating reports from
    dpkg-gensymbols after the first error.  This helps
    packages with multiple libraries to spot all the symbol
    issues in one build.

 -- Niels Thykier <niels@thykier.net>  Tue, 11 Aug 2015 22:47:08 +0200

debhelper (9.20150628) unstable; urgency=medium

  * Upload to unstable with ddebs support disabled by default.

  [ Niels Thykier ]
  * Buildsystem.pm: Apply patch from Emmanuel Bourg to
    provide doit_in_{build,source}dir_noerror methods.
    (Closes: #785811)
  * Dh_Lib.pm: Promote error_exitcode to a regular exported
    subroutine (from an internal one).
  * dh_compress: Apply patch from Osamu Aoki to avoid compressing
    ".xhtml" files and to use a POSIX compliant find expression.
    (Closes: #740405)
  * dh_makeshlibs: Fix typo in manpage.  Thanks to Jakub Wilk for
    reporting it.  (Closes: #788473)
  * dh_auto_test: Run tests by default even during cross-building.
    (Closes: #726967)
  * dh_gencontrol: Put ddebs in the "debugsym" section.
  * dh_strip: Support a new --[no-]ddebs option intended for
    packages to disable automatic ddebs.
  * dh_strip: Do not create ddebs for "-dbg" packages.
  * dh_builddeb/dh_gencontrol: Let dpkg figure out the name
    of the ddebs itself now that ddebs uses a ".deb"
    extension.
  * dh_md5sums: create DEBIAN dir in ddebs before using it.
    (Closes: #786695)

  [ Thibaut Paumard ]
  * Bug fix: "dh_usrlocal leaves directories behind", thanks to Andreas
    Beckmann (Closes: #788098).

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Jun 2015 13:51:48 +0200

debhelper (9.20150519+ddebs) experimental; urgency=medium

  * dh_strip: Add --ddeb-migration option to support migration
    from a --dbg-package to a automatic ddeb.
  * Dh_Lib.pm: Add "package_multiarch" function.
  * d/control: Add versioned Build-Depends on dpkg-dev to support
    creating ddebs with the ".deb" extension.
  * Dh_lib.pm: Generate ddebs with the ".deb" extension.
  * dh_gencontrol: Reduce the "pkg:arch" to "pkg" as APT and dpkg
    disagree on what satisfies an "pkg:arch" dependency.
  * dh_strip.1: Document what inhibits ddeb generation.
  * dh_gencontrol: Only mark a ddeb as Multi-Arch: same if the
    original deb was Multi-Arch: same.  All other ddebs are now
    Multi-Arch: no (by omitting the field).
  * dh_strip: Avoid generating a ddeb if the same name as an
    explicitly declared package.  Apparently, Ubuntu has been
    creating some of these manually.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 May 2015 21:56:55 +0200

debhelper (9.20150507ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.



=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <admwiggin@gmail.com>
Build-Depends: po4a (>= 0.24), dpkg-dev (>= 1.18.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debhelper/debhelper.git
Vcs-Browser: https://anonscm.debian.org/cgit/debhelper/debhelper.git
Homepage: http://joeyh.name/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.18.2~), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14)
Suggests: dh-make
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 9.20160115ubuntu3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # List of files of dh_* commands. Sorted for debhelper man page.
-COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | sort)
+COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | LC_ALL=C sort)
 
 # Find deprecated commands by looking at their synopsis.
 DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))
@@ -63,7 +63,7 @@
 		done; \
 		if [ -e $$dir/debhelper.pod ]; then \
 			cat $$dir/debhelper.pod | \
-				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
+				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
 				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
 		fi; \
 	done

=== debian/changelog ===
debhelper (9.20160115ubuntu3) xenial; urgency=medium

  * Backport upstream commit 9ca73a0a ("Pass -a to grep to handle
    substvars with unicode content gracefully") to fix build-failure
    with php-mf2 (LP: #1564492, Closes #815620).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 31 Mar 2016 08:33:23 -0700

debhelper (9.20160115ubuntu2) xenial; urgency=medium

  * dh-strip: Adjust reversion of commit f1a803456 to account for the recent
    ENABLE_DDEBS → ENABLE_DBGSYM rename. This actually disables -dbgsym
    generation by dh_strip by default again. (LP: #1535949)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Jan 2016 07:58:09 +0100

debhelper (9.20160115ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_installinit: Add dependency to lsb-base >= 4.1+Debian11ubuntu7 that
      provides the upstart LSB hook, to avoid upgrade breakage. This change
      can be dropped after 16.04 LTS.
    - dh_strip: Revert commit f1a803456 to disable ddebs generation by
      default.  This first needs adjustments in Launchpad and ddebs.u.c., and
      dropping pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jan 2016 19:55:45 +0100

debhelper (9.20160115) unstable; urgency=medium

  * Fix brown paper bag bug that caused many packages to
    FTBFS when dh_update_autotools_config was called.
    (Closes: #811052)
  * Revert removal of autoscripts/*-makeshlibs.  Some packages
    injected them directly into their maintainer scripts.
    (Closes: #811038)

 -- Niels Thykier <niels@thykier.net>  Fri, 15 Jan 2016 20:28:37 +0000

debhelper (9.20160114) unstable; urgency=low

  [ Niels Thykier ]
  * Dh_Lib.pm: Pass "-S" to dpkg-parsechangelog when requesting
    the Version field.
  * Drop compat level 3.
  * dh_install: Only fallback to debian/tmp if the given glob
    does not start with debian/tmp.  This should make the
    output on failures less weird.
  * autoscripts/*-makeshlibs: Removed, no longer used.
  * dh: In compat 10, drop the manual sequence control arguments
    and the sequence log files.  (Closes: #510855)
  * dh_update_autotools_config: New helper to update config.sub
    and config.guess.
  * dh: Run dh_update_autotools_config before dh_auto_configure.
    (Closes: #733045)
  * d/control: Add dependency on autotools-dev for the new
    dh_update_autotools_config tool.
  * dh_installinit: Correct the "PROMISE NOOP" clause to account
    for /etc/tmpfiles.d and /usr/lib/tmpfiles.d.
  * dh_strip: Add "--(no-)automatic-dbgsym" and "--dbgsym-migration"
    options to replace "--(no-)ddebs" and "--ddeb-migration".
    (Closes: #810948)

  [ Dmitry Shachnev ]
  * dh_install: Fail because of missing files only after processing
    all file lists for all packages.  (Closes: #488346)

 -- Niels Thykier <niels@thykier.net>  Thu, 14 Jan 2016 22:01:03 +0000

debhelper (9.20151225ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_installinit: Add dependency to lsb-base >= 4.1+Debian11ubuntu7 that
      provides the upstart LSB hook, to avoid upgrade breakage. This change
      can be dropped after 16.04 LTS.
  * dh_strip: Revert commit f1a803456 to disable ddebs generation by default.
    This first needs adjustments in Launchpad and ddebs.u.c., and dropping
    pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Jan 2016 11:07:56 +0100

debhelper (9.20151225) unstable; urgency=medium

  * dh_installmanpages: Fix call to getpackages.  Thanks to
    Niko Tyni for reporting the issue.  (Closes: #808603)
  * Dh_Lib.pm: Restore the behaviour of getpackages(), which
    is slightly different from getpackages('both').  Fixes
    a regression introduced in 9.20151220.

 -- Niels Thykier <niels@thykier.net>  Fri, 25 Dec 2015 14:39:18 +0000

debhelper (9.20151220) unstable; urgency=medium

  * dh_strip: Document that dbgsym packages are built by
    default.
  * Dh_Lib: Cache the results of getpackages.
  * dh_gencontrol: Create debug symbol packages with the same
    component as the original package.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Dec 2015 11:59:33 +0000

debhelper (9.20151219) unstable; urgency=medium

  * dh_installinit: Apply patch from Reiner Herrmann to sort
    temporary files put in postinst.  (Closes: #806392)
  * dh_installinit: Import change from Ubuntu to add /g
    modifier when substituting the auto-script snippets.
  * dh_*: Add /g when substituting the auto-script snippts in
    other commands as well.
  * dh_strip: Do not assume that ELF binaries have a Build-Id.
    Thanks to Helmut Grohne for spotting this issue.
    (Closes: #806814)
  * dh_strip: Enable generation of dbgsym packages by default.
    Thanks to Ansgar Burchardt and Paul Tagliamonte for
    implementing the DAK side of this feature.
    (Closes: #510772)

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Dec 2015 22:01:53 +0000

debhelper (9.20151126ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary. This
      uses the #SCRIPT# macro twice, thus in dh_installinit, replace all
      occurrences of that not just the first one.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_installinit: Add dependency to lsb-base >= 4.1+Debian11ubuntu7 that


=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
-Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <admwiggin@gmail.com>
+Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <tianon@debian.org>
 Build-Depends: po4a (>= 0.24), dpkg-dev (>= 1.18.0~)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debhelper/debhelper.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debhelper/debhelper.git
-Homepage: http://joeyh.name/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.18.2~), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.18.2~), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14), dh-strip-nondeterminism, autotools-dev
 Suggests: dh-make
 Multi-Arch: foreign
 Description: helper programs for debian/rules

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.

%:
	./run dh $@

## debhelper 9.20160403~bpo8+1

=== debian/changelog ===
debhelper (9.20160403~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable automatic dbgsym as it requires dpkg-dev 1.18.2

 -- Niels Thykier <niels@thykier.net>  Fri, 10 Jun 2016 17:48:34 +0000

debhelper (9.20160403) unstable; urgency=medium

  * d/control: Requre dh-autoreconf (>= 12) to ensure
    non-autotools can be built in compat 10.
  * dh: In a "PROMISE: DH NOOP" clause, make no assumptions
    about being able to skip "foo(bar)" if "foo" is not known.
  * debhelper.pod: Use DEB_HOST_ARCH instead of the incorrect
    "build architecture".  Thanks to Helmut Grohne for the
    report.
  * dh_makeshlibs: Use same regex for extracting SONAME as
    dpkg-shlibdeps.  (Closes: #509931)
  * dh_makeshlibs: Add an ldconfig trigger if there is an
    unversioned SONAME and the maintainer provides a
    symbols file.

 -- Niels Thykier <niels@thykier.net>  Sun, 03 Apr 2016 08:56:07 +0000

debhelper (9.20160402) unstable; urgency=medium

  * Remove dh_desktop.
  * dh_install: Fix a regression where a non-existing file
    was ignored if another file was matched for the same
    destination dir.  Thanks to Ben Hutchings for reporting
    the issue.  (Closes: #818834)
  * d/rules: Use overrides to disable unnecessary helpers
    (for which debhelper does not Build-Depend on the
    necessary packages to run the tools).
  * dh: Enable "autoreconf" sequence by default in compat
    10 (or higher).  (Closes: #480576)
  * d/control: Add a dependency on dh-autoreconf due to
    the above.
  * autoscripts/*-makeshlibs: Remove again.  Most of the
    reverse dependencies have migrated already.
  * Declare compat 10 ready for testing.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Apr 2016 19:20:17 +0000

debhelper (9.20160313) unstable; urgency=medium

  * Remove dh_undocumented.
  * dh_install: Attempt to improve the documentation of the
    config file "debian/not-installed".
  * dh_compress: Gracefully handle absolute paths passed via
    the -P option.  Thanks to Andreas Beckmann for reporting
    the issue.  (Closes: #818049)

 -- Niels Thykier <niels@thykier.net>  Sun, 13 Mar 2016 14:21:02 +0000

debhelper (9.20160306) unstable; urgency=medium

  [ Niels Thykier ]
  * Remove dh_suidregister and related autoscripts.  No package
    (that can be built in unstable) invokes this tool.
  * dh: Do not create stamp files when running with --no-act.
  * dh_strip/dh_gencontrol: Move "is_udeb" guard to dh_strip.
    This should avoid adding build-ids to udebs without having
    the actual debug symbols available.  Thanks to Jérémy Bobbio
    for reporting the issue.  (Closes: #812879)
  * dh_makeshlibs: Do not claim to be using maintainer scripts
    for invoking ldconfig.  Thanks to Eugene V. Lyubimkin for
    the report.  (Closes: #815401)
  * Remove dh_scrollkeeper.  It is no longer used in unstable.
  * autoconf.pm: Apply patch from Gergely Nagy to set "VERBOSE=1"
    when running tests to make sure that the build logs are
    dumped on error with automake.  (Closes: #798648, #744380)
  * dh_installdeb: In compat 10, properly shell escape lines
    from the maintscript config file.  This will *not* be fixed
    retroactively since people have begun to rely on the bug
    in previous versions (e.g. by quoting the file names).
    Thanks to Jakub Wilk for reporting the issue.
    (Closes: #803341)
  * dh_installdeb: In compat 10, avoid adding two comments per line
    in the maintscript file.  Thanks to Didier Raboud for
    reporting the bug.  (Closes: #615854)
  * cmake.pm: Apply patch from Helmut Grohne to correct the
    name of the default cross compilers.  (Closes: #812136)
  * dh_installdeb: Clarify what goes in the "maintscript" config
    files.  Thanks to Julian Andres Klode for the report.
    (Closes: #814761)
  * dh_compress: Correct and warn if given a path with a package
    tmp dir prefix (e.g. "debian/<pkg>/path/to/file").
  * dh_compress: Handle file resolution failures more gracefully.
    Thanks to Daniel Leidert for reporting this issue.
    (Closes: #802274)
  * dh_installinit: Make --restart-after-upgrade the default in
    compat 10.  Packages can undo this by using the new
    --no-restart-after-upgrade parameter.
  * d/control: Update Vcs links.
  * d/control: Bump Standards-Version to 3.9.7 - no changes
    required.
  * Import newer German translations from Chris Leick.
    (Closes: #812790)

  [ Joachim Breitner ]
  * addsubstvar: Pass -a to grep to handle substvars with unicode content
    gracefully (Closes: #815620)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Mar 2016 13:14:43 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>, Bernhard R. Link <brlink@debian.org>, Tianon Gravi <tianon@debian.org>
Build-Depends: po4a (>= 0.24)
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14), dh-strip-nondeterminism, autotools-dev, dh-autoreconf (>= 12~)
Suggests: dh-make
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 10ubuntu1

=== Makefile ===
--- 
+++ 
@@ -101,6 +101,6 @@
 	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
-	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
+	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/*/*
 	# clean up log etc
 	./run dh_clean

=== debian/changelog ===
debhelper (10ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7. This floods packages with huge upstream changelogs which
      are unnecessary on an installed system.
    - dh_strip: Revert commit f1a803456 to disable ddebs generation by
      default.  This first needs adjustments in Launchpad and ddebs.u.c., and
      dropping pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Sep 2016 07:12:45 +0200

debhelper (10) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Support a new named "beta-tester" compat level.
    If you want to participate in beta testing of new compat
    levels, please review "man 7 debhelper" for more
    information.
  * Dh_Lib.pm: Fix bug in detection of existing auto-trigger.

  [ Axel Beckert ]
  * Apply patch by Jens Reyer to fix typo in dh_installdocs man page.
    (Closes: #836344)
  * Use uppercase "Debian" in package description when the project is
    meant. Fixes lintian warning capitalization-error-in-description.
  * Apply "wrap-and-sort -a"
  * Add a .mailmap file for making "git shortlog" work properly.

  [ Translations ]
  * Update German translation (Chris Leick) (Closes: #835593)
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #835403)
  * Update French translation (Baptiste Jammet) (Closes: #836693)

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Sep 2016 09:00:23 +0000

debhelper (9.20160814) unstable; urgency=medium

  * dh_installdocs: Apply patch from Sven Joachim to make
    --link-doc work again in compat 11 (See: #830309)
  * t: Apply patch from Sven Joachim to add some test cases
    to dh_installdocs's --link-doc behaviour.
    (Closes: #831465)
  * dh_installinit,dh_systemd_start: Apply patches from
    Peter Pentchev to make -R default in compat 10 (as
    documented, but not as implemented).
  * perl_{build,makemaker}.pm: Apply patch from Dominic
    Hargreaves to explicitly pass -I. to perl.  This is to
    assist with the fix for CVE-2016-1238.  (Closes: #832436)
  * dh_install: Clarify that "debian/not-installed" is not
    related to the --exclude parameter.
  * dh_install: Apply patch from Sven Joachim to support
    the "debian/tmp" prefix being optional in
    "debian/not-installed".  (Closes: #815506)
  * Dh_Lib.pm: Apply patch from Dominic Hargreaves to set
    PERL_USE_UNSAFE_INC to fix a further set of packages
    which fail to build with . removed from @INC.
    (Closes: #832436)
  * Dh_Buildsystems.pm: Enable auto-detection of the maven
    and gradle buildsystems (provided they are installed).
    Thanks to Emmanuel Bourg for the suggestion.
    (Closes: #801732)

 -- Niels Thykier <niels@thykier.net>  Sun, 14 Aug 2016 09:19:35 +0000

debhelper (9.20160709ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_strip: Revert commit f1a803456 to disable ddebs generation by
      default.  This first needs adjustments in Launchpad and ddebs.u.c., and
      dropping pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2016 22:17:30 +0200

debhelper (9.20160709) unstable; urgency=medium

  * Explicitly Build-Depends on perl:any for pod2man instead
    of relying on it implicitly via libdpkg-perl.
  * dh_shlibdeps: Clarify that -L is also useful for packages
    using debian/shlibs.local for private libraries.
  * dh_installdocs: Apply patch from Sven Joachim to fix a
    regression with --link-doc and installing extra
    documentation.  (Closes: #830309)
  * Apply patches from Michael Biebl to merge dh_systemd_enable
    and dh_systemd_start from the dh-systemd package.
    (Closes: #822670)
  * dh: Enable the systemd helpers by default in compat 10 and
    later.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Jul 2016 09:53:02 +0000

debhelper (9.20160702) unstable; urgency=medium

  * Start on compat 11.
  * dh_installmenu: Stop installing menu files in compat 11
    (menu-methods are still installed).
  * dh_*: Deprecate -s in favor of -a.  The -s option is
    removed in compat 11.
  * dh_strip: Fix regression in 9.20160618, which caused
    issues when there were hardlinked ELF binaries in a
    package.  Thanks to Sven Joachim for the report, the
    analysis/testing and for providing a patch for the
    most common case.  (Closes: #829142)
  * Dh_Lib.pm: Cope with the parallel options in make 4.2.
    Thanks to Martin Dorey for the report.  (Closes: #827132)
  * dh_installdocs: In compat 11, install documentation into
    /usr/share/doc/mainpackage as requested by policy 3.9.7.
    Thanks to Sandro Knauß for the report.  (Closes: #824221)
  * dh_perl: Emit perl:any dependencies when a package only
    contains perl programs (but no modules of any kind).
    Thanks to Javier Serrano Polo and Niko Tyni for the
    report and feedback.  (Closes: #824696)

  [ Translations ]
  * Update German translation (Chris Leick + Eduard Bloch)
    (Closes: #827699)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jul 2016 13:24:21 +0000

debhelper (9.20160618.1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - dh_strip: Revert commit f1a803456 to disable ddebs generation by
      default.  This first needs adjustments in Launchpad and ddebs.u.c., and
      dropping pkg-create-dbgsym.
  * Dropped changes:
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
      We don't support upstart for system init any more, and moreover we
      stopped dropping SysV init scripts as they are required for insserv.


=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Bernhard R. Link <brlink@debian.org>
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a (>= 0.24)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git

Package: debhelper
Architecture: all
Depends: autotools-dev,
         binutils,
         dh-autoreconf (>= 12~),
         dh-strip-nondeterminism,
         dpkg (>= 1.16.2),
         dpkg-dev (>= 1.18.2~),
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
         man-db (>= 2.5.1-1),
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38)
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make
Provides: dh-systemd (= 1.38)
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 # Each debhelper command in this rules file has to be run using ./run,
 # to ensure that the commands and libraries in the source tree are used,
 # rather than the installed ones.
+#
+# We use --no-parallel because the test suite is not thread safe.
+# We disable autoreconf to avoid build-depending on it (it does
+# nothing for debhelper and it keeps the set of B-D smaller)
 
 %:
-	./run dh $@
+	./run dh $@ --no-parallel --without autoreconf
+
+# Disable as they are unneeded (and we can then be sure debhelper
+# builds without needing autotools-dev, dh-strip-nondetermism etc.)
+override_dh_update_autotools_config override_dh_strip_nondeterminism:

## debhelper 10.2.2~bpo8+1

=== debian/changelog ===
debhelper (10.2.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Existing changes from previous bpo releases:
    - Disable automatic dbgsym as it requires dpkg-dev 1.18.2
    - Revert of sgml-base trigger as it needs a newer version
      of sgml-base (Related bug: #825005)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Oct 2016 06:32:51 +0000

debhelper (10.2.2) unstable; urgency=medium

  * Fix typo in changelog entry for release 10.2.  Thanks to
    Peter Pentchev for reporting it.
  * Deprecate all compat levels lower than 9.
  * dh: Discard override log files before running the override
    rather than after.
  * dh_compress,dh_fixperms: Remove references to long
    obsolete directories such as usr/info, usr/man and
    usr/X11*/man.
  * autoreconf.pm: Apply patch from Helmut Grohne to fix
    autoconf/cross regression from #836988.  The autoreconf
    build-system is now also used directly for "clean" and
    "build" (while still usin the "make" build-system for the
    heavy lifting).  (Closes: #839681)
  * dh_installdirs: In compat 11, avoid creating debian/<pkg>
    directories except when required to do so.  This fixes a
    corner case, where an arch:all build would behave
    differently than an arch:all+arch:any when dh_installdir is
    optimised out only for the arch:all build.
  * Dh_Lib.pm: Fix typo of positive.  Thanks to Matthias Klose
    for spotting it.

 -- Niels Thykier <niels@thykier.net>  Sat, 08 Oct 2016 10:16:23 +0000

debhelper (10.2.1) unstable; urgency=medium

  * d/rules: Add a ./run in front of dh_auto_install.  It is
    technically not needed, but it prevents lintian from assuming
    that we need to Build-Depend debhelper.

 -- Niels Thykier <niels@thykier.net>  Sun, 02 Oct 2016 06:51:49 +0000

debhelper (10.2) unstable; urgency=medium

  * Apply patch from Peter Pentchev to fix some typos.
  * Apply patch from Michael Biebl to undo a major
    regression where all of debhelpers functionality was
    missing (introduced in 10.1).  (Closes: #839557)
  * dh_installinit,dh_systemd_start: Introduce a new
    --no-stop-on-upgrade as an alternative to
    --no-restart-on-upgrade.  This new option should
    reduce the confusion of what it does.  Thanks to
    Michael Biebl for the suggestion.

 -- Niels Thykier <niels@thykier.net>  Sun, 02 Oct 2016 06:20:56 +0000

debhelper (10.1) unstable; urgency=medium

  * Apply patch from Michael Biebl to take over dh-systemd
    package to ease backporting to jessie-backports.
    (Closes: #837585)
  * Apply patch from Helmut Grohne and Julian Andres Klode
    to improve cross-building support in the cmake build
    system.  (Closes: #833789)
  * Make the makefile.pm buildsystem (but not subclasses thereof)
    pass the CC and CXX variables set to the host compilers when
    cross-building.  Thanks to Helmut Grohne for the idea and
    the initial patch.  (Closes: #836988)
  * dh_md5sums.1: Mention dpkg --verify as a consumer of the
    output file.  Thanks to Guillem Jover for reporting it.
  * debhelper-obsolete-compat.pod: Add a manpage for the
    upgrade checklist for all obsolete/removed compat levels.
    Thanks to Jakub Wilk for the suggestion.
  * Dh_Getopt,dh_*: Rename --onlyscripts to --only-scripts and
    --noscripts to --no-scripts for consistency with other
    options.  The old variants are accepted for compatibility.
    Thanks to Raphaël Hertzog for the suggestion.
    (Closes: #838446)
  * cmake.pm: If cmake fails, also dump CMakeFiles/CMakeOutput.log
    and CMakeFiles/CMakeError.log if they are present.  Thanks to
    Michael Banck for the suggestion.  (Closes: #839389)
  * d/copyright: Correct copyright and license of dh_systemd*
    tools.

 -- Niels Thykier <niels@thykier.net>  Sat, 01 Oct 2016 20:45:27 +0000

debhelper (9.20160618.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert sgml-base trigger change as it requires a newer
    version of sgml-base.  Bug being reopened: #825005
  * Disabled features from previous bpo releases:
    - Disable automatic dbgsym as it requires dpkg-dev 1.18.2

 -- Niels Thykier <niels@thykier.net>  Mon, 20 Jun 2016 17:59:46 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Bernhard R. Link <brlink@debian.org>
Build-Depends: perl:any,
               po4a (>= 0.24)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git

Package: debhelper
Architecture: all
Depends: autotools-dev,
         binutils,
         dh-autoreconf (>= 12~),
         dh-strip-nondeterminism,
         dpkg (>= 1.16.2),
         dpkg-dev (>= 1.17.0),
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
         man-db (>= 2.5.1-1),
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38)
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: dh-systemd
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.

## debhelper 10.2.2

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: perl:any,
+Build-Depends: dpkg-dev (>= 1.18.0~),
+               perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -17,7 +18,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism,
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.17.0),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),

## debhelper 10.2.2mx150+1

=== debian/changelog ===
debhelper (10.2.2mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sat, 29 Oct 2016 14:46:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: dpkg-dev (>= 1.18.0~),
-               perl:any,
+Bugs: mailto: v3g4n@mxlinux.org
+Build-Depends: perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -18,7 +19,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism,
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.2~),
+         dpkg-dev (>= 1.17.0),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),

## debhelper 10.2.2ubuntu1~cloud3

=== debian/changelog ===
debhelper (10.2.2ubuntu1~cloud3) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 07 Dec 2016 16:58:07 +0000

debhelper (10.2.2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7. This floods packages with huge upstream changelogs which
      are unnecessary on an installed system.
    - dh_strip: Revert commit f1a803456 to disable ddebs generation by
      default.  This first needs adjustments in Launchpad and ddebs.u.c., and
      dropping pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 17 Oct 2016 21:34:23 +0200
